Bug 2055 - [Nvidia/nv] - no flat panel output on GF2 DVI port
[Nvidia/nv] - no flat panel output on GF2 DVI port
Status: RESOLVED FIXED
Product: xorg
Classification: Unclassified
Component: Driver/nVidia (open)
6.8.0
x86 (IA32) Linux (All)
: high normal
Assigned To: Xorg Project Team
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-11 15:15 UTC by Clemens Fruhwirth
Modified: 2007-02-22 14:26 UTC (History)
4 users (show)

See Also:


Attachments
xorg.conf file with "nv" driver (2.81 KB, text/plain)
2005-01-18 03:06 UTC, Paul Iadonisi
no flags Details
Log file with xorg.conf.mynv config (45.31 KB, text/plain)
2005-01-18 03:07 UTC, Paul Iadonisi
no flags Details
xorg.conf file with "nvidia" binary driver (2.94 KB, text/plain)
2005-01-18 03:08 UTC, Paul Iadonisi
no flags Details
Log file with xorg.conf.mynvidia config (36.46 KB, text/plain)
2005-01-18 03:09 UTC, Paul Iadonisi
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Clemens Fruhwirth 2004-12-11 15:15:29 UTC
bin drivers work. free driver don't. But bin drivers are non-free. I'd like to
switch. 

Obstacle: I can't use the DVI port on my GF2 with my ACER flat panel. The result
is a blinking gray/white trash on screen. 

From my xorg.conf:
Section "Device"
    Identifier "nv-xfreedriver"
    Driver      "nv"
    Option "FlatPanel"
    Option "CrtcNumber" "1"
EndSection

I diffed the logs of the nvidia driver against the nv driver, so you can see
what's different (a bit hand edited to cut it's length)

--- NV.log      2004-12-11 23:21:06.000000000 +0100
+++ Xfree.log   2004-12-11 23:21:02.000000000 +0100
@@ -11,12 +11,12 @@
 Markers: (--) probed, (**) from config file, (==) default setting,
        (++) from command line, (!!) notice, (II) informational,
        (WW) warning, (EE) error, (NI) not implemented, (??) unknown.
-(==) Log file: "/var/log/Xorg.0.log", Time: Sat Dec 11 23:20:13 2004
-(==) Using config file: "/etc/X11/xorg.conf"
+(==) Log file: "/var/log/Xorg.0.log", Time: Sat Dec 11 23:19:42 2004
+(++) Using config file: "xf.conf"
 (==) ServerLayout "Main Layout"
 (**) |-->Screen "Default Screen" (0)
 (**) |   |-->Monitor "AL1721"
-(**) |   |-->Device "nv-bindriver"
+(**) |   |-->Device "nv-xfreedriver"
 (**) |-->Input Device "Mouse1"
 (**) |-->Input Device "Keyboard1"
 (**) Option "XkbRules" "xfree86"
@@ -59,7 +59,8 @@
 (II) Module pcidata: vendor="X.Org Foundation"
        compiled for 6.8.0, module version = 1.0.0
        ABI class: X.Org Video Driver, version 0.7
-(++) using VT number 7
+Using vt 7
+(--) using VT number 7

 (II) PCI: Probing config type using method 1
 (II) PCI: Config type is 1
@@ -248,11 +249,12 @@
        Module class: X.Org Font Renderer
        ABI class: X.Org Font Renderer, version 0.4
 (II) Loading font FreeType
-(II) LoadModule: "nvidia"
-(II) Loading /usr/X11R6/lib/modules/drivers/nvidia_drv.o
-(II) Module nvidia: vendor="NVIDIA Corporation"
-       compiled for 4.0.2, module version = 1.0.6629
-       Module class: XFree86 Video Driver
+(II) LoadModule: "nv"
+(II) Loading /usr/X11R6/lib/modules/drivers/nv_drv.o
+(II) Module nv: vendor="X.Org Foundation"
+       compiled for 6.8.0, module version = 1.0.1
+       Module class: X.Org Video Driver
+       ABI class: X.Org Video Driver, version 0.7
 (II) LoadModule: "mouse"
 (II) Loading /usr/X11R6/lib/modules/input/mouse_drv.o
 (II) Module mouse: vendor="X.Org Foundation"
@@ -265,11 +267,39 @@
        compiled for 6.8.0, module version = 1.0.0
        Module class: X.Org XInput Driver
        ABI class: X.Org XInput driver, version 0.4
-(II) NVIDIA X Driver  1.0-6629  Wed Nov  3 13:14:07 PST 2004
-(II) NVIDIA Unified Driver for all NVIDIA GPUs
+(II) NV: driver for NVIDIA chipsets: RIVA 128, RIVA TNT, RIVA TNT2,
+       Unknown TNT2, Vanta, RIVA TNT2 Ultra, RIVA TNT2 Model 64,
+ [list of supported cards]
+       GeForce FX 5700 Ultra, GeForce FX 5700, GeForce FX 5700LE,
+       GeForce FX 5700VE, 0x0345, GeForce FX Go5700, GeForce FX Go5700,
+       0x0349, 0x034B, Quadro FX Go1000, Quadro FX 1100, 0x034F
 (II) Primary Device is: PCI 01:00:0
 (--) Assigning device section with no busID to primary device
-(--) Chipset NVIDIA GPU found
+(--) Chipset GeForce2 MX/MX 400 found
 (II) resource ranges after xf86ClaimFixedResources() call:
        [0] -1  0       0xffe00000 - 0xffffffff (0x200000) MX[B](B)
        [1] -1  0       0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
@@ -334,125 +364,197 @@
        [31] 0  0       0x000003b0 - 0x000003bb (0xc) IS[B]
        [32] 0  0       0x000003c0 - 0x000003df (0x20) IS[B]
 (II) Setting vga for screen 0.
-(**) NVIDIA(0): Depth 16, (--) framebuffer bpp 16
-(==) NVIDIA(0): RGB weight 565
-(==) NVIDIA(0): Default visual is TrueColor
-(==) NVIDIA(0): Using gamma correction (1.0, 1.0, 1.0)
-(**) NVIDIA(0): Option "NvAGP" "1"
-(**) NVIDIA(0): Option "RenderAccel" "on"
-(**) NVIDIA(0): Enabling experimental RENDER acceleration
-(**) NVIDIA(0): Use of NVIDIA internal AGP requested
-(--) NVIDIA(0): Linear framebuffer at 0xE8000000
-(--) NVIDIA(0): MMIO registers at 0xFD000000
-(II) NVIDIA(0): NVIDIA GPU detected as: GeForce2 MX/MX 400
-(--) NVIDIA(0): VideoBIOS: 03.11.00.07.00
-(--) NVIDIA(0): Interlaced video modes are not supported on this GPU
-(II) NVIDIA(0): Detected AGP rate: 4X
-(--) NVIDIA(0): VideoRAM: 32768 kBytes
-(II) NVIDIA(0): Connected display device(s): DFP-0
-(--) NVIDIA(0): Display device DFP-0: maximum pixel clock at  8 bpp: 350 MHz
-(--) NVIDIA(0): Display device DFP-0: maximum pixel clock at 16 bpp: 350 MHz
-(--) NVIDIA(0): Display device DFP-0: maximum pixel clock at 32 bpp: 300 MHz
+(II) Loading sub module "int10"
+(II) LoadModule: "int10"
+(II) Loading /usr/X11R6/lib/modules/linux/libint10.a
+(II) Module int10: vendor="X.Org Foundation"
+       compiled for 6.8.0, module version = 1.0.0
+       ABI class: X.Org Video Driver, version 0.7
+(II) NV(0): Initializing int10
+(II) NV(0): Primary V_BIOS segment is: 0xc000
+(--) NV(0): Chipset: "GeForce2 MX/MX 400"
+(**) NV(0): Depth 16, (--) framebuffer bpp 16
+(==) NV(0): RGB weight 565
+(==) NV(0): Default visual is TrueColor
+(II) Loading sub module "vgahw"
+(II) LoadModule: "vgahw"
+(II) Loading /usr/X11R6/lib/modules/libvgahw.a
+(II) Module vgahw: vendor="X.Org Foundation"
+       compiled for 6.8.0, module version = 0.1.0
+       ABI class: X.Org Video Driver, version 0.7
+(**) NV(0): Option "FlatPanel"
+(**) NV(0): Option "CrtcNumber" "1"
+(==) NV(0): Using HW cursor
+(**) NV(0): forcing DFP usage
+(--) NV(0): Linear framebuffer at 0xE8000000
+(--) NV(0): MMIO registers at 0xFD000000
+(II) Loading sub module "i2c"
+(II) LoadModule: "i2c"
+(II) Loading /usr/X11R6/lib/modules/libi2c.a
+(II) Module i2c: vendor="X.Org Foundation"
+       compiled for 6.8.0, module version = 1.2.0
+       ABI class: X.Org Video Driver, version 0.7
 (II) Loading sub module "ddc"
 (II) LoadModule: "ddc"
 (II) Loading /usr/X11R6/lib/modules/libddc.a
 (II) Module ddc: vendor="X.Org Foundation"
        compiled for 6.8.0, module version = 1.0.0
        ABI class: X.Org Video Driver, version 0.7
-(II) NVIDIA(0): AL1721: Using hsync range of 30.00-64.00 kHz
-(II) NVIDIA(0): AL1721: Using hsync value of 80.00 kHz
-(II) NVIDIA(0): AL1721: Using vrefresh value of 75.00 Hz
-(II) NVIDIA(0): Clock range:  12.00 to 350.00 MHz
-(II) NVIDIA(0): Not using mode "640x480" (vrefresh out of range)
-(II) NVIDIA(0): Not using default mode "640x350" (vrefresh out of range)
-[list of failing modes]
-(**) NVIDIA(0):      Default mode "320x240": 15.8 MHz, 37.5 kHz, 75.0 Hz (D)
-(--) NVIDIA(0): Display dimensions: (340, 270) mm
-(--) NVIDIA(0): DPI set to (95, 96)
+(II) NV(0): I2C bus "DDC" initialized.
+(II) NV(0): Probing for EDID on I2C bus A...
+(II) NV(0): I2C device "DDC:ddc2" registered at address 0xA0.
+(II) NV(0): I2C device "DDC:ddc2" removed.
+(II) NV(0):   ... none found
+(II) NV(0): Probing for EDID on I2C bus B...
+(II) NV(0): I2C device "DDC:ddc2" registered at address 0xA0.
+(II) NV(0): I2C device "DDC:ddc2" removed.
+(--) NV(0): DDC detected a DFP:
+(II) NV(0): Manufacturer: ACR  Model: ad04  Serial#: 1076890133
+(II) NV(0): Year: 2004  Week: 3
+(II) NV(0): EDID Version: 1.3
+(II) NV(0): Digital Display Input
+(II) NV(0): Max H-Image Size [cm]: horiz.: 34  vert.: 27
+(II) NV(0): Gamma: 2.07
+(II) NV(0): DPMS capabilities: Off; RGB/Color Display
+(II) NV(0): First detailed timing is preferred mode
+(II) NV(0): redX: 0.640 redY: 0.340   greenX: 0.289 greenY: 0.609
+(II) NV(0): blueX: 0.140 blueY: 0.069   whiteX: 0.310 whiteY: 0.329
+(II) NV(0): Supported VESA Video Modes:
+(II) NV(0): 720x400@70Hz
+(II) NV(0): 640x480@60Hz
+(II) NV(0): 640x480@75Hz
+(II) NV(0): 800x600@60Hz
+(II) NV(0): 800x600@75Hz
+(II) NV(0): 1024x768@60Hz
+(II) NV(0): 1024x768@70Hz
+(II) NV(0): 1024x768@75Hz
+(II) NV(0): 1280x1024@75Hz
+(II) NV(0): Manufacturer's mask: 0
+(II) NV(0): Supported Future Video Modes:
+(II) NV(0): #0: hsize: 1280  vsize 1024  refresh: 75  vid: 36737
+(II) NV(0): #1: hsize: 1280  vsize 1024  refresh: 60  vid: 32897
+(II) NV(0): #2: hsize: 1024  vsize 768  refresh: 75  vid: 20321
+(II) NV(0): #3: hsize: 1024  vsize 768  refresh: 60  vid: 16481
+(II) NV(0): #4: hsize: 800  vsize 600  refresh: 75  vid: 20293
+(II) NV(0): #5: hsize: 800  vsize 600  refresh: 60  vid: 16453
+(II) NV(0): Supported additional Video Mode:
+(II) NV(0): clock: 108.0 MHz   Image Size:  340 x 270 mm
+(II) NV(0): h_active: 1280  h_sync: 1328  h_sync_end 1440 h_blank_end 1688
h_border: 0
+(II) NV(0): v_active: 1024  v_sync: 1025  v_sync_end 1028 v_blanking: 1066
v_border: 0
+(II) NV(0): Serial No: ETL0408027
+(II) NV(0): Ranges: V min: 55  V max: 75 Hz, H min: 30  H max: 83 kHz, PixClock
max 140 MHz
+(II) NV(0): Monitor name: Acer AL1721
+(--) NV(0): CRTC 0 is currently programmed for DFP
+(**) NV(0): Forcing display type to DFP as specified
+(**) NV(0): Forcing CRTCNumber 1 as specified
+(II) NV(0): Using DFP on CRTC 1
+(--) NV(0): Panel size is 1 x 1
+(--) NV(0): VideoRAM: 32768 kBytes
+(==) NV(0): Using gamma correction (1.0, 1.0, 1.0)
+(II) NV(0): AL1721: Using hsync range of 30.00-64.00 kHz
+(II) NV(0): AL1721: Using hsync value of 80.00 kHz
+(II) NV(0): AL1721: Using vrefresh value of 75.00 Hz
+(II) NV(0): Clock range:  12.00 to 350.00 MHz
+(II) NV(0): Not using mode "640x480" (vrefresh out of range)
+(II) NV(0): Not using default mode "640x350" (vrefresh out of range)
+(II) NV(0): Not using default mode "320x175" (bad mode clock/interlace/doublescan)
+ [list of failing modes]
+(II) NV(0): Not using default mode "2048x1536" (width too large for virtual size)
+(II) NV(0): Not using default mode "1024x768" (bad mode clock/interlace/doublescan)
+(**) NV(0): Virtual size is 1280x1024 (pitch 1280)
+(**) NV(0): *Default mode "1280x1024": 135.0 MHz, 80.0 kHz, 75.0 Hz
+(II) NV(0): Modeline "1280x1024"  135.00  1280 1296 1440 1688  1024 1025 1028
1066 +hsync +vsync
+(**) NV(0): *Default mode "1024x768": 78.8 MHz, 60.1 kHz, 75.1 Hz
+(II) NV(0): Modeline "1024x768"   78.80  1024 1040 1136 1312  768 769 772 800
+hsync +vsync
+(**) NV(0):  Default mode "832x624": 57.3 MHz, 49.7 kHz, 74.6 Hz
+(II) NV(0): Modeline "832x624"   57.28  832 864 928 1152  624 625 628 667
-hsync -vsync
+(**) NV(0):  Default mode "800x600": 49.5 MHz, 46.9 kHz, 75.0 Hz
+(II) NV(0): Modeline "800x600"   49.50  800 816 896 1056  600 601 604 625
+hsync +vsync
+(--) NV(0): Display dimensions: (340, 270) mm
+(--) NV(0): DPI set to (95, 96)
 (II) Loading sub module "fb"
 (II) LoadModule: "fb"
 (II) Loading /usr/X11R6/lib/modules/libfb.a
 (II) Module fb: vendor="X.Org Foundation"
        compiled for 6.8.0, module version = 1.0.0
        ABI class: X.Org ANSI C Emulation, version 0.2
+(II) Loading sub module "xaa"
+(II) LoadModule: "xaa"
+(II) Loading /usr/X11R6/lib/modules/libxaa.a
+(II) Module xaa: vendor="X.Org Foundation"
+       compiled for 6.8.0, module version = 1.2.0
+       ABI class: X.Org Video Driver, version 0.7
 (II) Loading sub module "ramdac"
 (II) LoadModule: "ramdac"
 (II) Loading /usr/X11R6/lib/modules/libramdac.a
@@ -496,15 +598,24 @@
        [32] -1 0       0x0000ef00 - 0x0000ef1f (0x20) IX[B]
        [33] 0  0       0x000003b0 - 0x000003bb (0xc) IS[B](OprU)
        [34] 0  0       0x000003c0 - 0x000003df (0x20) IS[B](OprU)
-(II) NVIDIA(0): Setting mode "1280x1024"
-(II) Loading extension NV-GLX
-(II) NVIDIA(0): NVIDIA 3D Acceleration Architecture Initialized
-(II) NVIDIA(0): Using the NVIDIA 2D acceleration architecture
-(==) NVIDIA(0): Backing store disabled
-(==) NVIDIA(0): Silken mouse enabled
+(==) NV(0): Write-combining range (0xe8000000,0x2000000)
+(II) NV(0): Using XFree86 Acceleration Architecture (XAA)
+       Screen to screen bit blits
+       Solid filled rectangles
+       8x8 mono pattern filled rectangles
+       Indirect CPU to Screen color expansion
+       Solid Lines
+       Scanline Image Writes
+       Offscreen Pixmaps
+       Setting up tile and stipple cache:
+               32 128x128 slots
+               32 256x256 slots
+               16 512x512 slots
+(==) NV(0): Backing store disabled
+(==) NV(0): Silken mouse enabled
 (**) Option "dpms"
-(**) NVIDIA(0): DPMS enabled
-(II) Loading extension NV-CONTROL
+(**) NV(0): DPMS enabled
+(WW) NV(0): Option "RenderAccel" is not used
 (==) RandR enabled
 (II) Initializing built-in extension MIT-SHM
 (II) Initializing built-in extension XInputExtension
@@ -521,7 +632,7 @@
 (II) Initializing built-in extension COMPOSITE
 (II) Initializing built-in extension DAMAGE
 (II) Initializing built-in extension XEVIE
-(II) Initializing extension GLX
+(EE) Failed to initialize GLX extension (NVIDIA X driver not found)
 (**) Option "Protocol" "IMPS/2"
 (**) Mouse1: Device: "/dev/usbmouse"
 (**) Mouse1: Protocol: "IMPS/2"
@@ -551,7 +662,6 @@
 (**) Keyboard1: CustomKeycodes disabled
 (II) XINPUT: Adding extended input device "Keyboard1" (type: KEYBOARD)
 (II) XINPUT: Adding extended input device "Mouse1" (type: MOUSE)
-(II) XINPUT: Adding extended input device "NVIDIA Event Handler" (type: Other)
 (II) Mouse1: ps2EnableDataReporting: succeeded
 Could not init font path element /usr/X11R6/lib/X11/fonts/local/, removing from
list!
 Could not init font path element /usr/X11R6/lib/X11/fonts/CID/, removing from list!

--
I'm running 6.8.0 on Gentoo. But I don't think upgrading would help, the xfree86
syncs don't appear to have brought something new which could be relevant to my
issue (at least judging on the CVS commit logs..)
Comment 1 Paul Iadonisi 2005-01-18 02:50:31 UTC
I'm having the identical problem with a GeForce4 MX 4000 AGP 8x card (ASUS
OEMed) and a Viewsonic 201b 1600x1200 Flat Panel LCD display.  Doesn't work over
the DVI connection with any resolution over 1200x1024, but works up to 1600x1200
over the VGA.  The nvidia binary driver (version 6629 obtained from atrpms.net)
works fine.  I'm running on a Dual Opteron 2.4GHz (250), running Fedora Core 3
for x86_64 with all updates applied as of 1/17/2005 plus Mike Harris' rpms that
have been placed in rawhide (xorg-x11-6.8.1.902-1).  Config and log files to follow.
Comment 2 Paul Iadonisi 2005-01-18 03:06:46 UTC
Created attachment 1702 [details]
xorg.conf file with "nv" driver
Comment 3 Paul Iadonisi 2005-01-18 03:07:56 UTC
Created attachment 1703 [details]
Log file with xorg.conf.mynv config
Comment 4 Paul Iadonisi 2005-01-18 03:08:57 UTC
Created attachment 1704 [details]
xorg.conf file with "nvidia" binary driver
Comment 5 Paul Iadonisi 2005-01-18 03:09:47 UTC
Created attachment 1705 [details]
Log file with xorg.conf.mynvidia config
Comment 6 Clemens Fruhwirth 2005-02-02 04:56:52 UTC
tested with 6.8.2RC3. bug still present, despite nv driver updates from xf.
Comment 7 Erik Andren 2006-04-27 07:01:30 UTC
Any improvement using a current version of xorg?
Comment 8 Timo Jyrinki 2007-02-22 14:26:48 UTC
Marking broken (status null/blank) bugs in xorg with no activity in a long time as fixed. Please reopen if you think it's necessary, but first do a search if a similar bug report is already filed and in a NEW/ASSIGNED state. These bugs do not currently show in most search results as they do not have any status.

Sorry for this janitorial spam, you know where to send hate mails to when your inbox gets full of bugs you're subscribed to.